<ng-container *transloco="let t; prefix: 'onboardingProcedures'">
    <div class="d-flex justify-content-center min-vh-100">
        <div class="col-12 col-md-10 mt-5">
            @if (!loading) {
                <div class="row">
                    <div class="text-break">
                        <h1 class="text-primary">{{ t('title') }}</h1>
                    </div>
                    <lib-tabs class="mt-3" [tabs]="tabs" (clickTab)="clickTab($event.id)"></lib-tabs>

                    @if (onboardingProcedureTemplate && mode === 'detail') {
                    <app-onboarding-procedure-template-detail [template]="onboardingProcedureTemplate"
                        (edit)="onEditTemplate()"></app-onboarding-procedure-template-detail>
                    } @else if (
                        (!onboardingProcedureTemplate && mode === 'new') ||
                        (onboardingProcedureTemplate && mode ==='edit')) {
                        <app-onboarding-procedure-template [template]="onboardingProcedureTemplate"
                            [participantType]="selectedParticipantType"
                            (updatedProcedure)="onUpdatedTemplate()"
                            (cancel)="onBack()"
                        ></app-onboarding-procedure-template>
                    } @else {
                    <div class="col-12 row mt-5 justify-content-center align-items-center">
                        <div class="col-12 mt-2 text-center">{{ t('empty') }}</div>
                        <div class="col-12 text-center">{{ t('emptyConditions') }}</div>
                        <div class="col-12 mt-2 text-center justify-content-center">
                            <button mat-flat-button color="accent" (click)="onAddTemplate()">
                                <mat-icon class="me-1">add</mat-icon>
                                {{ t('addProcedure') }}
                            </button>
                        </div>
                    </div>
                    }
                </div>

            } @else {
            <div class="w-full d-flex items-center justify-content-center py-5">
                <lib-loader id="mainLoader" [size]=80></lib-loader>
            </div>
            }
        </div>
    </div>
</ng-container>
